#include <qblib/string.hh>
#include <qblib/stringfun.hh>

static inline const BAS_STR B_FuncLTRIM_S(const BAS_STR& s) { return LTrim(s); }
static inline const BAS_STR B_FuncRTRIM_S(const BAS_STR& s) { return RTrim(s); }
static inline const BAS_STR B_FuncUCASE_S(const BAS_STR& s) { return UCase(s); }
static inline const BAS_STR B_FuncLCASE_S(const BAS_STR& s) { return LCase(s); }
const BAS_STR B_FuncSPACE_S(long n);
const BAS_STR B_FuncSTRING_S(long n, const BAS_STR& s);
const BAS_STR B_FuncCHR_S(long n);
const BAS_STR B_FuncSTR_S(BAS_DBL d);
const BAS_STR B_FuncSTR_S(long long int i);
static inline const BAS_STR B_FuncSTR_S(BAS_LNG l) { return B_FuncSTR_S((long long int)l); }
static inline const BAS_STR B_FuncSTR_S(BAS_INT i) { return B_FuncSTR_S((long long int)i); }
static inline const BAS_STR B_FuncSTR_S(BAS_SGN s) { return B_FuncSTR_S((BAS_DBL)s); }

inline BAS_INT B_FuncASC(const BAS_STR& s)
    { if(s.empty()) B_ERROR(5); // illegal function call
      return s[0]; }
    
