#include <vector>
extern std::vector<void*> GosubStack;

#define B_GOSUB(label) \
    { __label__ gosub_return; GosubStack.push_back(&&gosub_return); \
      goto label; gosub_return:; }
#define B_RETURN() \
    { if(GosubStack.empty()) B_ERROR(3);/* RETURN WITHOUT GOSUB*/ \
      else { void* ret = GosubStack.back(); GosubStack.pop_back(); \
             goto *ret; } }
#define B_RETURN_TO(label) \
    { if(GosubStack.empty()) B_ERROR(3);/* RETURN WITHOUT GOSUB*/ \
      else { GosubStack.pop_back(); goto label; } }
